---
title: Document.contentType
slug: Web/API/Document/contentType
tags:
  - API
  - DOM
  - Document
  - MIME
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>Document.contentType</strong></code> read-only property returns the MIME type that the document is being rendered as. This may come from HTTP headers or other sources of MIME information, and might be affected by automatic type conversions performed by either the browser or extensions.</p>

<div class="notecard note">
<p><strong>Note:</strong> This property is unaffected by {{HTMLElement("meta")}} elements.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>contentType</var> = <var>document</var>.contentType;
</pre>

<h3 id="Value">Value</h3>

<p><code>contentType</code> is a read-only property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-contenttype', 'Document.contentType')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.contentType")}}</div>
